### Function

# Gegl Path add_type

#### Declaration [src]

    void
    gegl_path_add_type (
      gchar type,
      gint items,
      const gchar* description
    )

#### Description [src]

Adds a new type to the path system, FIXME this should probably return something on registration conflicts, for now it expects all registered paths to be aware of each other.

#### Parameters

`type`

  Type: `gchar`

  A gchar to recognize in path descriptions.

`items`

  Type: `gint`

  The number of floating point data items the instruction takes.

`description`

  Type: `const gchar*`

  A human readable description of this entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.